it.csi.mddtools.guigen

## Enum SimpleTypeCodes

- java.lang.Object
- - java.lang.Enum<SimpleTypeCodes>
  - - it.csi.mddtools.guigen.SimpleTypeCodes

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<SimpleTypeCodes>, org.eclipse.emf.common.util.Enumerator

      public enum SimpleTypeCodes
      extends java.lang.Enum<SimpleTypeCodes>
      implements org.eclipse.emf.common.util.Enumerator

  A representation of the literals of the enumeration 'Simple Type Codes', and utility methods for working with them. Codici dei tipi base
  See Also:
    `GuigenPackage.getSimpleTypeCodes()`

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `BOOLEAN` The 'BOOLEAN' literal object
    `BYTE` The 'BYTE' literal object
    `DATE` The 'DATE' literal object
    `DATETIME` The 'DATETIME' literal object
    `DOUBLE` The 'DOUBLE' literal object
    `FLOAT` The 'FLOAT' literal object
    `HOURS` The 'HOURS' literal object
    `INT` The 'INT' literal object
    `LONG` The 'LONG' literal object
    `STRING` The 'STRING' literal object
    `TREE_NODE` The 'TREE NODE' literal object

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `BOOLEAN_VALUE` The 'BOOLEAN' literal value
    `static int` | `BYTE_VALUE` The 'BYTE' literal value
    `static int` | `DATE_VALUE` The 'DATE' literal value
    `static int` | `DATETIME_VALUE` The 'DATETIME' literal value
    `static int` | `DOUBLE_VALUE` The 'DOUBLE' literal value
    `static int` | `FLOAT_VALUE` The 'FLOAT' literal value
    `static int` | `HOURS_VALUE` The 'HOURS' literal value
    `static int` | `INT_VALUE` The 'INT' literal value
    `static int` | `LONG_VALUE` The 'LONG' literal value
    `static int` | `STRING_VALUE` The 'STRING' literal value
    `static int` | `TREE_NODE_VALUE` The 'TREE NODE' literal value
    `static java.util.List<SimpleTypeCodes>` | `VALUES` A public read-only list of all the 'Simple Type Codes' enumerators

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static SimpleTypeCodes` | `get(int value)` Returns the 'Simple Type Codes' literal with the specified integer value
    `static SimpleTypeCodes` | `get(java.lang.String literal)` Returns the 'Simple Type Codes' literal with the specified literal value
    `static SimpleTypeCodes` | `getByName(java.lang.String name)` Returns the 'Simple Type Codes' literal with the specified name
    `java.lang.String` | `getLiteral()`
    `java.lang.String` | `getName()`
    `int` | `getValue()`
    `java.lang.String` | `toString()` Returns the literal value of the enumerator, which is its string representation
    `static SimpleTypeCodes` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static SimpleTypeCodes[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### INT

          public static final SimpleTypeCodes INT

      The 'INT' literal object.
      See Also:
        `INT_VALUE`

    - #### LONG

          public static final SimpleTypeCodes LONG

      The 'LONG' literal object.
      See Also:
        `LONG_VALUE`

    - #### FLOAT

          public static final SimpleTypeCodes FLOAT

      The 'FLOAT' literal object.
      See Also:
        `FLOAT_VALUE`

    - #### DOUBLE

          public static final SimpleTypeCodes DOUBLE

      The 'DOUBLE' literal object.
      See Also:
        `DOUBLE_VALUE`

    - #### STRING

          public static final SimpleTypeCodes STRING

      The 'STRING' literal object.
      See Also:
        `STRING_VALUE`

    - #### DATE

          public static final SimpleTypeCodes DATE

      The 'DATE' literal object.
      See Also:
        `DATE_VALUE`

    - #### DATETIME

          public static final SimpleTypeCodes DATETIME

      The 'DATETIME' literal object.
      See Also:
        `DATETIME_VALUE`

    - #### HOURS

          public static final SimpleTypeCodes HOURS

      The 'HOURS' literal object.
      See Also:
        `HOURS_VALUE`

    - #### BOOLEAN

          public static final SimpleTypeCodes BOOLEAN

      The 'BOOLEAN' literal object.
      See Also:
        `BOOLEAN_VALUE`

    - #### BYTE

          public static final SimpleTypeCodes BYTE

      The 'BYTE' literal object.
      See Also:
        `BYTE_VALUE`

    - #### TREE_NODE

          public static final SimpleTypeCodes TREE_NODE

      The 'TREE NODE' literal object.
      See Also:
        `TREE_NODE_VALUE`

  - ### Field Detail

    - #### INT_VALUE

          public static final int INT_VALUE

      The 'INT' literal value.

      If the meaning of 'INT' literal object isn't clear, there really should be more of a description here...

      See Also:
        `INT`, Constant Field Values

    - #### LONG_VALUE

          public static final int LONG_VALUE

      The 'LONG' literal value.

      If the meaning of 'LONG' literal object isn't clear, there really should be more of a description here...

      See Also:
        `LONG`, Constant Field Values

    - #### FLOAT_VALUE

          public static final int FLOAT_VALUE

      The 'FLOAT' literal value.

      If the meaning of 'FLOAT' literal object isn't clear, there really should be more of a description here...

      See Also:
        `FLOAT`, Constant Field Values

    - #### DOUBLE_VALUE

          public static final int DOUBLE_VALUE

      The 'DOUBLE' literal value.

      If the meaning of 'DOUBLE' literal object isn't clear, there really should be more of a description here...

      See Also:
        `DOUBLE`, Constant Field Values

    - #### STRING_VALUE

          public static final int STRING_VALUE

      The 'STRING' literal value.

      If the meaning of 'STRING' literal object isn't clear, there really should be more of a description here...

      See Also:
        `STRING`, Constant Field Values

    - #### DATE_VALUE

          public static final int DATE_VALUE

      The 'DATE' literal value.

      If the meaning of 'DATE' literal object isn't clear, there really should be more of a description here...

      See Also:
        `DATE`, Constant Field Values

    - #### DATETIME_VALUE

          public static final int DATETIME_VALUE

      The 'DATETIME' literal value.

      If the meaning of 'DATETIME' literal object isn't clear, there really should be more of a description here...

      See Also:
        `DATETIME`, Constant Field Values

    - #### HOURS_VALUE

          public static final int HOURS_VALUE

      The 'HOURS' literal value.

      If the meaning of 'HOURS' literal object isn't clear, there really should be more of a description here...

      See Also:
        `HOURS`, Constant Field Values

    - #### BOOLEAN_VALUE

          public static final int BOOLEAN_VALUE

      The 'BOOLEAN' literal value.

      If the meaning of 'BOOLEAN' literal object isn't clear, there really should be more of a description here...

      See Also:
        `BOOLEAN`, Constant Field Values

    - #### BYTE_VALUE

          public static final int BYTE_VALUE

      The 'BYTE' literal value.

      If the meaning of 'BYTE' literal object isn't clear, there really should be more of a description here...

      See Also:
        `BYTE`, Constant Field Values

    - #### TREE_NODE_VALUE

          public static final int TREE_NODE_VALUE

      The 'TREE NODE' literal value.

      If the meaning of 'TREE NODE' literal object isn't clear, there really should be more of a description here...

      Rappresenta il tipo degli elementi di una struttura a tree
      See Also:
        `TREE_NODE`, Constant Field Values

    - #### VALUES

          public static final java.util.List<SimpleTypeCodes> VALUES

      A public read-only list of all the 'Simple Type Codes' enumerators.

  - ### Method Detail

    - #### values

          public static SimpleTypeCodes[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (SimpleTypeCodes c : SimpleTypeCodes.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static SimpleTypeCodes valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### get

          public static SimpleTypeCodes get(java.lang.String literal)

      Returns the 'Simple Type Codes' literal with the specified literal value.
      Parameters:
        `literal` - the literal.
      Returns:
        the matching enumerator or `null`.

    - #### getByName

          public static SimpleTypeCodes getByName(java.lang.String name)

      Returns the 'Simple Type Codes' literal with the specified name.
      Parameters:
        `name` - the name.
      Returns:
        the matching enumerator or `null`.

    - #### get

          public static SimpleTypeCodes get(int value)

      Returns the 'Simple Type Codes' literal with the specified integer value.
      Parameters:
        `value` - the integer value.
      Returns:
        the matching enumerator or `null`.

    - #### getValue

          public int getValue()

      Specified by:
        `getValue` in interface `org.eclipse.emf.common.util.Enumerator`

    - #### getName

          public java.lang.String getName()

      Specified by:
        `getName` in interface `org.eclipse.emf.common.util.Enumerator`

    - #### getLiteral

          public java.lang.String getLiteral()

      Specified by:
        `getLiteral` in interface `org.eclipse.emf.common.util.Enumerator`

    - #### toString

          public java.lang.String toString()

      Returns the literal value of the enumerator, which is its string representation.
      Overrides:
        `toString` in class `java.lang.Enum<SimpleTypeCodes>`